<?php
  
IF (CONFIG('COMMENTS_FIXED') == 0){
  
  $cf = "panel-bottom-comments-optimize list";
  $btn_cf = "btn-send";
  $fbs_cf = "smiles_body";
  $fbs_cf2 = "file_body list";
  $fbs_cf3 = "file_body list";
  
}ELSE{
  
  $cf = "panel-bottom-comments-optimize-fixed";
  $btn_cf = "btn-send-fixed";
  $fbs_cf = "smiles_body-fixed";
  $fbs_cf2 = "file_body-fixed";
  $fbs_cf3 = "bb_bar bb_body";
  
}
  
REQUIRE (ROOT.'/modules/smiles/inc.php');

REQUIRE (ROOT.'/users/attachments/plugins/inc.php');

REQUIRE (ROOT.'/system/connections/bb.php');
    
ECHO "<form method='post' class='".$cf." panel-bottom-comments-js' action='".$action."'>";

ECHO "<div class='panel-bottom-comments'>";

$smiles_dir = DB::GET_STRING("SELECT `ID` FROM `SMILES_DIR` ORDER BY `ID` ASC LIMIT 1");

IF (ISSET($smiles_dir['ID'])){
  
  $smd = $smiles_dir['ID'];
  
}ELSE{
  
  $smd = 0;
  
}

?><a onclick="smiles_show('/system/AJAX/php/smiles.php?id=<?=$smiles_dir['ID']?>')" id="smiles_show" style="color: #4C575F;" class="panel-bottom-comments-smiles" load="none"><?
ECHO "<i class='fa fa-smile-o fa-fw'></i>";
ECHO "</a>";

ECHO "<div class='panel-bottom-comments-text'>";
?><textarea id="count_char_textarea" onchange="countChar()" onkeyup="countChar()" rows="1" class="panel-bottom-comments-text-form" name="message" placeholder="<?=LG('Напишите сообщение')?>"><?=$text?></textarea><? 
ECHO "</div>";

?><a onclick="bb_show()" style="color: #4C575F;" class="panel-bottom-comments-bb-files" load="none"><?
ECHO "<i class='fa fa-font fa-fw'></i>";
ECHO "</a>";

?><a load="none" style="color: #4C575F;" class="panel-bottom-comments-bb-files" id="upload-atcom" onclick="modal_open('#at_comment')" action="/users/attachments/photos.php?url=<?=BASE64_ENCODE(REQUEST_URI)?>"><?
ECHO "<i class='fa fa-paperclip fa-fw'></i>";
ECHO "</a>";

ECHO "</div>";

ECHO "<div class='panel-bottom-comments-send'>";
ECHO "<button name='".$name."' value='go' id='ajax-comments-button' type='submit' class='".$btn_cf."'><i class='fa fa-send fa-fw'></i></button>";

IF (CONFIG('CSRF') == 1){
  
  ECHO '<input type="hidden" name="'.$token_id.'" value="'.$token_value.'">';

}

ECHO '<input type="hidden" value="go" name="'.$name.'">';
ECHO "</div>";

ECHO "</form>";

?>